# Class DefaultCssHandler

java.lang.Object
net.sf.statcvs.output.DefaultCssHandler

All Implemented Interfaces:
  `CssHandler`

public class DefaultCssHandler extends Object implements CssHandler
CSS handler for a CSS file included in the distribution JAR file.

Author:
  Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`DefaultCssHandler(String filename)`
Creates a new DefaultCssHandler for a CSS file in the `/src/net/sf/statcvs/web-files/` folder of the distribution JAR.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkForMissingResources()`
No external resources are necessary for default CSS files, so nothing is done here
`void`
`createOutputFiles()`
Extracts the CSS file from the distribution JAR and saves it into the output directory
`String`
`getLink()`
returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"invalid input: '&gt' HREF="filename.css";.
`String`
`toString()`
toString

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultCssHandler

public DefaultCssHandler(String filename)
Creates a new DefaultCssHandler for a CSS file in the `/src/net/sf/statcvs/web-files/` folder of the distribution JAR. This must be a filename only, without a directory.

Parameters:
  `filename` - Name of the css file

## Method Details

### getLink

public String getLink()
Description copied from interface: `CssHandler`
returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"invalid input: '&gt' HREF="filename.css";.

Specified by:
  `getLink` in interface `CssHandler`
Returns:
  a link to the CSS file
See Also:
  - `CssHandler.getLink()`

### checkForMissingResources

public void checkForMissingResources() throws ConfigurationException
No external resources are necessary for default CSS files, so nothing is done here

Specified by:
  `checkForMissingResources` in interface `CssHandler`
Throws:
  `ConfigurationException` - if some resource is missing.
See Also:
  - `CssHandler.checkForMissingResources()`

### createOutputFiles

public void createOutputFiles() throws IOException
Extracts the CSS file from the distribution JAR and saves it into the output directory

Specified by:
  `createOutputFiles` in interface `CssHandler`
Throws:
  `IOException` - if an output file can't be created
See Also:
  - `CssHandler.createOutputFiles()`

### toString

public String toString()
toString

Overrides:
  `toString` in class `Object`
Returns:
  string